Jari Aalto | 1 Dec 17:52 2008
Picon

O: nedit (up for grabs)


> Jari?  Believe it or not, people actually use nedit, and we're ending up
> with the bug reports.  Please, update ASAP.

I'm lacking working X to check the compilation results. If someone would
be interested in maintaining nedit, I'd be happy to orphan it.

The 2008-12-01 package files can be found at:

wget \
    http://cante.net/~jaalto/tmp/cygwin/nedit/nedit-5.5-3-cygwin.patch \
    http://cante.net/~jaalto/tmp/cygwin/nedit/nedit-5.5-3.sh \
    http://cante.net/~jaalto/tmp/cygwin/nedit/nedit-5.5-3-src.tar.bz2 \
    http://cante.net/~jaalto/tmp/cygwin/nedit/nedit-5.5-3.tar.bz2 \
    http://cante.net/~jaalto/tmp/cygwin/nedit/nedit_5.5.orig.tar.gz \
    http://cante.net/~jaalto/tmp/cygwin/nedit/setup.hint

Information for prospective maintainer is below. The build structure uses
Cygbuild[1]

Jari

-----------------------------------------------------------------------
[1] http://freshmeat.net/projects/cygbuild

Contains recent X11 changes where

    xorg-x11-bin-dlls => libX11_6 libXm2 libXt6

Compilation gives lof of auto-imports:
(Continue reading)

Pierre A. Humblet | 1 Dec 18:28 2008
Picon

Please upload minires-1.02-1

Please upload the minires-1.02 and minires-devel-1.02, keeping 1.01
No change in the setup.hints.

The changes affect all 9Xs but only NTs if the user has elected to bypass WinDNS.
I will send matching changes to cygwin-patches for the built-in minires.

Thanks

Pierre

minires
http://mysite.verizon.net/phumblet/minires-1.02-1/minires/setup.hint
http://mysite.verizon.net/phumblet/minires-1.02-1/minires/minires-1.02-1.tar.bz2 
http://mysite.verizon.net/phumblet/minires-1.02-1/minires/minires-1.02-1-src.tar.bz2

minires-devel
http://mysite.verizon.net/phumblet/minires-1.02-1/minires-devel/setup.hint 
http://mysite.verizon.net/phumblet/minires-1.02-1/minires-devel/minires-devel-1.02-1.tar.bz2

Christopher Faylor | 1 Dec 19:43 2008

Re: Please upload minires-1.02-1

On Mon, Dec 01, 2008 at 12:28:17PM -0500, Pierre A. Humblet wrote:
>Please upload the minires-1.02 and minires-devel-1.02, keeping 1.01

Uploaded.

cgf

Corinna Vinschen | 2 Dec 11:02 2008

Re: Please upload minires-1.02-1

On Dec  1 13:43, Christopher Faylor wrote:
> On Mon, Dec 01, 2008 at 12:28:17PM -0500, Pierre A. Humblet wrote:
> >Please upload the minires-1.02 and minires-devel-1.02, keeping 1.01
> 
> Uploaded.

Help!

I just made a "really dumb mistake"(tm) in a low-coffee state.

I managed to rm all files from the release-2/minires directory.
For some reason I was thinking "minires-devel" when it was really
just "minires".

When I realized my mistake (too late), I copied the files back so that
the mirrors can see them, but I know it's not the right thing to do.

Chris, would you mind to fix up behind me? :}

Thanks,
Corinna

--

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

Arthur G | 3 Dec 01:45 2008
Picon

[ITP] xmlfy 1.3.0

Setup.hint:
category: Text Utils
sdesc: "Convert text/UTF-8 based output into XML format."
ldesc: "Convert text/UTF-8 based output into XML format.
The xmlfy command is a powerful yet lightweight tool for Un*x like systems
that mostly deals with converting text or UTF-8 based output into XML
format on the fly and dealing with common issues associated with
this kind of transformation. xmlfy can be invoked from the command
line or from within a shell script to transform data quickly, easily
and reliably."

Status:
Released

Links:
http://xmlfy.sourceforge.net/submit/cygwin/xmlfy-1.3.0-1.tar.bz2
http://xmlfy.sourceforge.net/submit/cygwin/xmlfy-1.3.0-1-src.tar.bz2
http://xmlfy.sourceforge.net/submit/cygwin/setup.hint

Acceptance Path:
If the package is not included in any major Linux distro it must
receive five positive votes from other package mantainers in order to
be accepted.

Other Information:
http://xmlfy.sourceforge.net

Thanks,
Arthur Gouros.

(Continue reading)

André Bleau | 3 Dec 16:24 2008
Picon

Please upload opengl-1.1.0-9


Please upload opengl-1.1.0-9, keeping 1.1.0-8 as previous.

This update should solve the problems that have been reported after the 
release of new X server, such as:

http://cygwin.com/ml/cygwin/2008-11/msg00022.html
http://cygwin.com/ml/cygwin-xfree/2008-12/msg00003.html

The problems were due to some conflict with the last version of
the libGL-devel, libGLU-devel, libglut-devel packages. See:

http://cygwin.com/ml/cygwin-apps/2008-11/msg00037.html
http://cygwin.com/ml/cygwin-apps/2008-11/msg00043.html

Unfortunately, users of the opengl package might have to change the way they 
build their applications. See:

http://cygwin.com/ml/cygwin/2008-11/msg00056.html

There is a remaining conflict with the w32api package, with a workaround. 
This would be the subject of another thread.

Exerbs from the updated README.txt:

>---------------------------------------------------------------------------<

What has changed since opengl-1.1.0-8
-------------------------------------

(Continue reading)

André Bleau | 3 Dec 17:18 2008
Picon

Conflict betwen the opengl package and the w32api package over libglut32.lib


Hi there.

For a very long time, the w32api package has provided /usr/lib/w32api/libglut32.a .
I don't know why the w32api package provides libglut32.a ; it is the only 
glut-related file that it provides. The rest of glut, that is, the glut.h header and
the glut32.dll, are provided by the opengl package.

This was fine until glut32.dll was updated from 3.7.3 to 3.7.6, which happened at 
the release of opengl-1.1.0-6. From then, libglut32.a has been missing 
some hidden functions in the new glut32.dll: ___glutCreateMenuWithExit, 
___glutCreateWindowWithExit, and ___glutInitWithExit. I hacked around it in 
glut.h, but this caused programs to continue to run in the background if their 
window was closed by using the close (X) icon in the title bar.

For opengl-1.1.0-9, I reversed that hack to correct the problem, but now if
you include glut.h, you can not link with libglut32.a, as it misses the 3
required functions. The opengl-1.1.0-9 package now includes glut32.lib, and linking
with it works well. But:

1- It is ugly. A POSIX environement should not require to link with some .lib file.
2- It forces developers of glut programs to modify their build system.
3- It creates confusion, as there is now 2 files competing for the same goal:
libglut32.a and glut32.lib, the first of which don't work anymore.

So, I am asking the maintainers of the w32api package to remove libglut32.a.
Then I would update the opengl package to include a version that is compatible
with the rest of glut.

Regards,
(Continue reading)

André Bleau | 3 Dec 17:24 2008
Picon

Conflict betwen the opengl package and the w32api package over libglut32.a


Sorry, I made a typo in the subject of my last message.

The rest of the message, 
http://cygwin.com/ml/cygwin-apps/2008-12/msg00006.html
is hopefully correct!

- André Bleau, Cygwin's volunteer OpenGL package maintainer.

Please direct any question or comment about the OpenGL package to cygwin at cygwin dot com
_________________________________________________________________

Chris Sutcliffe | 3 Dec 17:31 2008
Picon

Re: Conflict betwen the opengl package and the w32api package over libglut32.lib

Hey André,

> So, I am asking the maintainers of the w32api package to remove libglut32.a.
> Then I would update the opengl package to include a version that is compatible
> with the rest of glut.

I'm comfortable with doing this, but I've taken it to the MinGW-dvlpr
list just to make sure that it won't cause any issues.

Chris

--

-- 
Chris Sutcliffe
http://emergedesktop.org

Corinna Vinschen | 3 Dec 17:44 2008

Re: Please upload opengl-1.1.0-9

On Dec  3 10:24, Andr? Bleau wrote:
> 
> Please upload opengl-1.1.0-9, keeping 1.1.0-8 as previous.
> [...]
> Please be aware that the following links are not "wget-able". 
> This is a caveat of skydrive.

:(

Don't you have some other provider to upload files?  Cygwin.com is a
remote system only accessible by ssh and the only way to fetch these
files would be to fetch them first to my local machine, and then upload
them to cygwin.com.  That's really inconvenient.

Corinna

--

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat


Gmane